import request from "@/utils/request";

// 查询等保系统列表
export function listSystem(query) {
  return request({
    url: "/zongzhi/system/list",
    method: "get",
    params: query,
  });
}

// 查询等保系统详细
export function getSystem(id) {
  return request({
    url: "/zongzhi/system/" + id,
    method: "get",
  });
}

// 新增等保系统
export function addSystem(data) {
  return request({
    url: "/zongzhi/system",
    method: "post",
    data: data,
  });
}

// 修改等保系统
export function updateSystem(data) {
  return request({
    url: "/zongzhi/system",
    method: "put",
    data: data,
  });
}

// 删除等保系统
export function delSystem(id) {
  return request({
    url: "/zongzhi/system/" + id,
    method: "delete",
  });
}

// 导出等保系统
export function exportSystem(data) {
  return request({
    url: "/zongzhi/system/export",
    method: "post",
    data,
  });
}
